"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const util_1 = require("../lib/utils/util");
class DiffEnv extends core_1.Command {
    run() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const { flags } = yield this.parse(DiffEnv);
            const prev = (0, util_1.parseEnv)(flags['prev-env']);
            const after = (0, util_1.parseEnv)(flags['after-env']);
            const env = [];
            for (const [k, v] of Object.entries(after)) {
                if (prev[k] !== after[k]) {
                    env.push(`${k}=${v}`);
                }
            }
            console.log(env);
        });
    }
}
exports.default = DiffEnv;
DiffEnv.description = 'Output diff env';
DiffEnv.examples = [`$ typed-env diff-env -a "$(env)" -p "$(env)"`];
DiffEnv.flags = {
    'prev-env': core_1.Flags.string({
        char: 'p',
        description: 'enter current env json',
        required: true,
    }),
    'after-env': core_1.Flags.string({
        char: 'a',
        description: 'enter change env json',
        required: true,
    }),
};
