"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ensureDirSync = void 0;
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
const checkPath = (pth) => {
    if (process.platform === 'win32') {
        const pathHasInvalidWinCharacters = /[<>:"|?*]/.test(pth.replace(path_1.default.parse(pth).root, ''));
        if (pathHasInvalidWinCharacters) {
            const error = new Error(`Path contains invalid characters: ${pth}`);
            throw error;
        }
    }
};
const getMode = (options) => {
    const defaults = { mode: 0o777 };
    if (typeof options === 'number')
        return options;
    return Object.assign(Object.assign({}, defaults), options).mode;
};
const ensureDirSync = (dir, options) => {
    checkPath(dir);
    return fs_1.default.mkdirSync(dir, {
        mode: getMode(options),
        recursive: true,
    });
};
exports.ensureDirSync = ensureDirSync;
